Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.strategy.scheduling
Enum SupplyingWaitingPreemptionType

    java.lang.Object
      java.lang.Enum<SupplyingWaitingPreemptionType>
          lbg.peer.strategy.scheduling.SupplyingWaitingPreemptionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SupplyingWaitingPreemptionType>

    public enum SupplyingWaitingPreemptionType

extends java.lang.Enum<SupplyingWaitingPreemptionType>

Author:
  Cyril Briquet

Enum Constant Summary
`FavorsWaitingPreemption`
`FIFOWaitingPreemption`
`FullWaitingPreemption`
`NoPreemption`
`NoWaitingPreemption`

Method Summary
`abstract SupplyingWaitingPreemptionPolicy` | `createSupplyingWaitingPreemptionPolicy(Peer managed_peer)`
`static java.lang.String` | `getPDPLabel()`
`static java.lang.String[]` | `getPolicyLabels()`
`abstract boolean` | `isPreemptionStrategy()`
`static int` | `size()`
`static SupplyingWaitingPreemptionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SupplyingWaitingPreemptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoPreemption

    public static final SupplyingWaitingPreemptionType NoPreemption

### NoWaitingPreemption

    public static final SupplyingWaitingPreemptionType NoWaitingPreemption

### FavorsWaitingPreemption

    public static final SupplyingWaitingPreemptionType FavorsWaitingPreemption

### FIFOWaitingPreemption

    public static final SupplyingWaitingPreemptionType FIFOWaitingPreemption

### FullWaitingPreemption

    public static final SupplyingWaitingPreemptionType FullWaitingPreemption

Method Detail

### values

    public static final SupplyingWaitingPreemptionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SupplyingWaitingPreemptionType c : SupplyingWaitingPreemptionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SupplyingWaitingPreemptionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### createSupplyingWaitingPreemptionPolicy

    public abstract SupplyingWaitingPreemptionPolicy createSupplyingWaitingPreemptionPolicy(Peer managed_peer)
                                                                                     throws GridException

  Throws:
    `GridException`

### isPreemptionStrategy

    public abstract boolean isPreemptionStrategy()

### getPDPLabel

    public static final java.lang.String getPDPLabel()

### size

    public static int size()

### getPolicyLabels

    public static java.lang.String[] getPolicyLabels()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.